%{?mingw_package_header}

Name:           mingw-libsamplerate
Version:        0.1.9
Release:        1%{?dist}
Summary:        MinGW compiled samplerate library

License:        BSD
URL:            http://www.mega-nerd.com/SRC/
Source0:        http://www.mega-nerd.com/SRC/libsamplerate-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib


%description
MinGW compiled libsamplerate library.


# If a package maintainer wishes to bundle static libraries then they
# can be placed in -static subpackages. Otherwise, the -static subpackages
# can be dropped

# Win32
%package -n mingw32-libsamplerate
Summary:       MinGW compiled samplerate library for the Win32 target

%description -n mingw32-libsamplerate
MinGW compiled samplerate library for the Win32 target.

%package -n mingw32-libsamplerate-static
Summary:       Static version of the MinGW Win32 compiled samplerate library
Requires:      mingw32-samplerate = %{version}-%{release}

%description -n mingw32-libsamplerate-static
Static version of the MinGW Win32 compiled samplerate library.

# Win64
%package -n mingw64-libsamplerate
Summary:       MinGW compiled samplerate library for the Win64 target

%description -n mingw64-libsamplerate
MinGW compiled samplerate library for the Win64 target.

%package -n mingw64-libsamplerate-static
Summary:       Static version of the MinGW Win64 compiled samplerate library
Requires:      mingw64-samplerate = %{version}-%{release}

%description -n mingw64-libsamplerate-static
Static version of the MinGW Win64 compiled samplerate library.


%{?mingw_debug_package}


%prep
%autosetup -n libsamplerate-%{version}


%build
%mingw_configure --enable-static --enable-shared --disable-sndfile --disable-fftw
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-libsamplerate
%{mingw32_docdir}/libsamplerate0-dev/
%{mingw32_bindir}/libsamplerate-0.dll
%exclude %{mingw32_bindir}/*.exe
%{mingw32_includedir}/
%{mingw32_libdir}/libsamplerate.dll.a
%{mingw32_libdir}/pkgconfig/samplerate.pc

%files -n mingw32-libsamplerate-static
%{mingw32_libdir}/libsamplerate.a

# Win64
%files -n mingw64-libsamplerate
%{mingw64_docdir}/libsamplerate0-dev/
%{mingw64_bindir}/libsamplerate-0.dll
%exclude %{mingw64_bindir}/*.exe
%{mingw64_includedir}/
%{mingw64_libdir}/libsamplerate.dll.a
%{mingw64_libdir}/pkgconfig/samplerate.pc

%files -n mingw64-libsamplerate-static
%{mingw64_libdir}/libsamplerate.a


%changelog
* Wed May 30 2018 Richard Shaw <hobbes1069@gmail.com> - 0.1.9-1
- Initial packaging.
